%define name		joram
%define version		4.3.4
%define release		1jpp_1rh
%define	section		free


Name:		%{name}
Summary:	JORAM: Java (TM) Open Reliable Asynchronous Messaging
Url:		http://joram.objectweb.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
BuildArch:	noarch
Source0:	joram-%{version}-src.tgz
# FIXME: We do not ship oldkxml (we rather wait for JORAM to move to kxml)
# So we do not build kjoram
Patch0:		joram-%{version}-build.patch
Patch1:		joram-mx4j.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	j2ee-connector >= 0:1.5
BuildRequires:	jaf
BuildRequires:	java >= 0:1.4
BuildRequires:	java_cup
BuildRequires:	jgroups
BuildRequires:	javamail
BuildRequires:	jms
BuildRequires:	mx4j
BuildRequires:	jta
# FIXME: We do not ship oldkxml (we rather wait for JORAM to move to kxml)
# So we do not build kjoram
#BuildRequires:	oldkxml
BuildRequires:	monolog >= 0:1.8
BuildRequires:	jakarta-commons-logging
BuildRequires:	regexp
# FIXME This is the old abandoned Apache SOAP project
# JORAM should be using AXIS instead
#BuildRequires:	soap
BuildRequires:	xerces-j2
Requires:	j2ee-connector >= 0:1.5
Requires:	jaf
Requires:	java >= 0:1.4
Requires:	java_cup
Requires:	jgroups
Requires:	javamail
Requires:	jms
Requires:	jmxri
Requires:	jta
# FIXME: We do not ship oldkxml (we rather wait for JORAM to move to kxml)
# So we do not build kjoram
#Requires:	oldkxml
Requires:	monolog >= 0:1.8
Requires:	jakarta-commons-logging
Requires:	regexp
# FIXME This is the old abandoned Apache SOAP project
# JORAM should be using AXIS instead
#Requires:	soap
Requires:	xerces-j2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JORAM incorporates a 100% pure Java implementation of JMS
(Java Message Service API released by Sun Microsystem, Inc.). 
It provides access to a MOM (Message Oriented Middleware), 
built on top of the ScalAgent agents based distributed 
platform.


%package adapter
Summary:	A JORAM JCA adapter
Group:		Development/Libraries/Java

%description adapter
A JORAM JCA 1.5 adapter.

%package adapter-remote
Summary:	A JORAM JCA adapter for non collocated use
Group:		Development/Libraries/Java

%description adapter-remote
A JORAM JCA 1.5 adapter for non collocated use.

%package for-jonas
Summary:	A JORAM JCA adapter for JOnAS
Group:		Development/Libraries/Java

%description for-jonas
A JORAM JCA 1.5 adapter for JOnAS 4.5.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
chmod -R go=u-w *

%patch0 -p0
%patch1 -p1

#find . -name "*.jar" -exec rm -f {} \;
pushd lib
for f in *.jar; do mv $f $f.not; done
# FIXME This is the old abandoned Apache SOAP project
# JORAM should be using AXIS instead
mv soap.jar.not soap.jar
# FIXME Have no idea what is midpapi or where to get it from
mv midpapi.jar.not midpapi.jar
popd


%build

pushd lib
ln -sf $(build-classpath j2ee-connector) .
ln -sf $(build-classpath activation) .
ln -sf $(build-classpath java_cup) .
ln -sf $(build-classpath java_cup-runtime) .
ln -sf $(build-classpath jgroups) .
ln -sf $(build-classpath javamail/mailapi) .
ln -sf $(build-classpath jms) .
ln -sf $(build-classpath mx4j/mx4j-jmx) .
ln -sf $(build-classpath mx4j/mx4j-tools) .
ln -sf $(build-classpath jndi) .
ln -sf $(build-classpath jta) .
# FIXME: We do not ship oldkxml (we rather wait for JORAM to move to kxml)
# So we do not build kjoram
#ln -sf $(build-classpath oldkxml) .
ln -sf $(build-classpath commons-logging-api) .
ln -sf $(build-classpath monolog/ow_monolog) .
ln -sf $(build-classpath regexp) .
# FIXME This is the old abandoned Apache SOAP project
# JORAM should be using AXIS instead
#ln -sf $(build-classpath soap) .
ln -sf $(build-classpath xerces-j2) .
popd

ant -f src/joram.xml build.joram ship.adapter ship.remoteadapter ship.jonasadapter javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 ship/lib/%{name}-shared.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/shared-%{version}.jar
install -m 644 ship/lib/%{name}-mom.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/mom-%{version}.jar
install -m 644 ship/lib/%{name}-client.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/client-%{version}.jar
install -m 644 ship/lib/%{name}-connector.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/connector-%{version}.jar
install -m 644 ship/lib/%{name}-gui.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/gui-%{version}.jar
install -m 644 ship/lib/%{name}-config.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/config-%{version}.jar
install -m 644 ship/lib/%{name}-config.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/config-%{version}.jar
install -m 644 ship/lib/%{name}-raconfig.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/raconfig-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# rars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/rars

install -m 644 ship/lib/%{name}.rar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/rars/%{name}-%{version}.rar
install -m 644 ship/lib/%{name}-remote.rar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/rars/%{name}-remote-%{version}.rar
install -m 644 ship/lib/%{name}_for_jonas_ra.rar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/rars/%{name}_for_jonas_ra-%{version}.rar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/rars && for rar in *-%{version}*; do ln -sf ${rar} `echo $rar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc licenses/LGPL_HEADER.TXT
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*

%files adapter
%defattr(-,root,root)
%dir %{_javadir}/%{name}/rars
%{_javadir}/%{name}/rars/joram.rar

%files adapter-remote
%defattr(-,root,root)
%dir %{_javadir}/%{name}/rars
%{_javadir}/%{name}/rars/joram-remote.rar

%files for-jonas
%defattr(-,root,root)
%dir %{_javadir}/%{name}/rars
%{_javadir}/%{name}/rars/joram_for_jonas_ra.rar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Aug 03 2005 Fernando Nasser <fnasser@redhat.com> 0:4.3.4-1jpp_1rh
- Update to 4.3.4

* Fri Jul 15 2005 Fernando Nasser <fnasser@redhat.com> 0:4.3.3-1jpp_1rh
- Update to 4.3.3
- Add subpackages with the adapters

* Wed Jul 13 2005 Fernando Nasser <fnasser@redhat.com> 0:4.3.2-1jpp_1rh
- Upgrade to 4.3.2
- Use mx4j for building
- Remove JGroups patch as it has been incorporated in this release

* Mon Jun  6 2005 Gary Benson <gbenson@redhat.com>
- Replace build-time jmx references with mx4j ones.

* Sat Jun 04 2005 Fernando Nasser <fnasser@redhat.com> 0:4.3.0-1jpp_1rh
- Merge for upgrade

* Sat Jun 04 2005 Fernando Nasser <fnasser@redhat.com> 0:4.3.0-1jpp
- Upgrade to 4.3.0

* Fri Mar 04 2005 Fernando Nasser <fnasser@redhat.com> 0:4.1.5-1jpp_1rh
- First Red Hat build
- Temporarely keep the kxml 1.x jar (JORAM will move to use another thing)
- Temporarely keep the old Apache soap 1.x jar (request JORAM community to move to AXIS)

* Mon Feb 28 2005 Fernando Nasser <fnasser@redhat.com> 0:4.1.5-1jpp
- Upgrade to 4.1.5

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:4.1.0-1jpp
- First release

